[typo] 4.0 Migration Issues, FC4, Mysql

Andy Ciordia andy at ciordia.info
Tue Aug 8 08:21:56 EDT 2006


No insights on this?  Any known way of installing a fresh copy and  
getting a 2.6 database in there?  I'm afraid that in order to install/ 
upgrade I had to break history and I am caught squarely in limbo  
unable to go forward and unable to return to what I had.

-a

On Aug 5, 2006, at 3:42 PM, Andy Ciordia wrote:

> Coming from an svn of 2.6, think I was <=1099  ..
> mysql-4.1.20-1.FC4.1
> ruby-libs-1.8.4-3.fc4
> ruby-1.8.4-3.fc4
>
> Trying to just upgrade into 4.0 gem caused:
> ##
> Migrating Typo's database to newest release
> rake aborted!
> Multiple migrations have the version number 1
>
> (See full trace by running task with --trace)
> /usr/lib/ruby/gems/1.8/gems/typo-4.0.0/./installer/rails-installer.rb:
> 386:in `migrate': Migration failed (RailsInstaller::InstallFailed)
>          from /usr/lib/ruby/gems/1.8/gems/typo-4.0.0/./installer/
> rails-installer.rb:520:in `in_directory'
>          from /usr/lib/ruby/gems/1.8/gems/typo-4.0.0/./installer/
> rails-installer.rb:384:in `migrate'
>          from /usr/lib/ruby/gems/1.8/gems/typo-4.0.0/./installer/
> rails-installer.rb:86:in `install_sequence'
>          from /usr/lib/ruby/gems/1.8/gems/typo-4.0.0/./installer/
> rails-installer.rb:61:in `install'
>          from /usr/lib/ruby/gems/1.8/gems/typo-4.0.0/./installer/
> rails-installer/commands.rb:54:in `command'
>          from /usr/lib/ruby/gems/1.8/gems/typo-4.0.0/./installer/
> rails-installer.rb:491:in `execute_command'
>          from /usr/lib/ruby/gems/1.8/gems/typo-4.0.0/bin/typo:37
>          from /usr/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/
> active_support/dependencies.rb:140:in `load'
>          from /usr/bin/typo:18
> ##
>
> If this has no good calls, is there any way to do a import the data
> to a fresh install?  I dumped my db before all of this.
>
> -a



More information about the Typo-list mailing list